libximc: chart_data_t Struct Reference

libximc 3.0.2

Data Fields
chart_data_t Struct Reference

Additional device state. More...

`#include <ximc.h>`

## Data Fields
int | WindingVoltageA
| In case of a step motor, it contains the voltage across the winding A (in tens of mV); in case of a brushless motor, it contains the voltage on the first coil; in case of a DC motor, it contains the only winding current.
int | WindingVoltageB
| In case of a step motor, it contains the voltage across the winding B (in tens of mV); in case of a brushless motor, it contains the voltage on the second winding; and in case of a DC motor, this field is not used.
int | WindingVoltageC
| In case of a brushless motor, it contains the voltage on the third winding (in tens of mV); in the case of a step motor and a DC motor, the field is not used.
int | WindingCurrentA
| In case of a step motor, it contains the current in the winding A (in mA); in case of a brushless motor, it contains the current in the winding A; and in case of a DC motor, it contains the only winding current.
int | WindingCurrentB
| In case of a step motor, it contains the current in the winding B (in mA); in case of a brushless motor, it contains the current in the winding B; and in case of a DC motor, the field is not used.
int | WindingCurrentC
| In case of a brushless motor, it contains the current in the winding C (in mA); in case of a step motor and a DC motor, the field is not used.
unsigned int | Pot
| Analog input value, dimensionless.
unsigned int | Joy
| The joystick position, dimensionless.
int | AveragedPowerRatio
| The ratio of motor supplied power to nominal motor power, as a percentage.

## Detailed Description

Additional device state.

This structure contains additional values such as winding's voltages, currents, and temperature.

See also
  get_chart_data
  get_chart_data

## Field Documentation

## ◆ AveragedPowerRatio

int AveragedPowerRatio

The ratio of motor supplied power to nominal motor power, as a percentage.

## ◆ Joy

unsigned int Joy

The joystick position, dimensionless.

Range: 0..10000

## ◆ Pot

unsigned int Pot

Analog input value, dimensionless.

Range: 0..10000

## ◆ WindingCurrentA

int WindingCurrentA

In case of a step motor, it contains the current in the winding A (in mA); in case of a brushless motor, it contains the current in the winding A; and in case of a DC motor, it contains the only winding current.

## ◆ WindingCurrentB

int WindingCurrentB

In case of a step motor, it contains the current in the winding B (in mA); in case of a brushless motor, it contains the current in the winding B; and in case of a DC motor, the field is not used.

## ◆ WindingCurrentC

int WindingCurrentC

In case of a brushless motor, it contains the current in the winding C (in mA); in case of a step motor and a DC motor, the field is not used.

## ◆ WindingVoltageA

int WindingVoltageA

In case of a step motor, it contains the voltage across the winding A (in tens of mV); in case of a brushless motor, it contains the voltage on the first coil; in case of a DC motor, it contains the only winding current.

## ◆ WindingVoltageB

int WindingVoltageB

In case of a step motor, it contains the voltage across the winding B (in tens of mV); in case of a brushless motor, it contains the voltage on the second winding; and in case of a DC motor, this field is not used.

## ◆ WindingVoltageC

int WindingVoltageC

In case of a brushless motor, it contains the voltage on the third winding (in tens of mV); in the case of a step motor and a DC motor, the field is not used.